-- POLICY 保单业务数据

POLICY
POLICY_PLCCAR05
POLICY_PLCAPPLICANT
POLICY_PLCPUBLICINSURANT
POLICY_PLCSOLUTION
POLICY_PLCSOLUTION_PLCRATION
POLICY_PLCSOLUTION_PLCCOINS
-- POLICY_PLCSOLUTION_PLCCOINS_PLCCOINSBASICINFORMATION
-- POLICY_PLCSOLUTION_PLCCOINS_PLCLINKBASICINFORMAT
POLICY_PLCSOLUTION_PLCCOMMISSIONDETAIL
POLICY_PLCSALES
POLICY_PLCBASIC


-- 来源：
(
	policyNo                    String ,                         -- 2 保单号
	businessNo                  String ,                         -- 3 业务号
	uwConclueDate               String ,                         -- 4 核保通过时间
	businessOffice              String ,                         -- 5 保单归属机构代码
	businessOfficeName          String ,                         -- 6 保单归属机构名称
    productCode                 String ,                         -- 7 险种代码
    businessNatureCode          String ,                         -- 8 业务来源
    startTime                   String ,                         -- 9 起保时间
    endTime                     String ,                         -- 10 终保时间
    netPremium                  String ,                         -- 11 不含税保费 为空时取 premium
    premium                     String ,                         -- 12 含税保费 为空时取 0
    plcCar05  row(
         licensePlateNo              String ,                         -- 13 车牌号
    	 frameNo                     String ,                         -- 14 车架号
    	 vehiclecode                 String ,                         -- 15 行业车型代码
         carBrandCode                String ,                         -- 16 厂牌型号
         newCarFlag                  String ,                         -- 17 新车标识 1:新车，0：旧车
		 carKindCode                 String ,                         -- 29 车辆种类代码
		 carKindName                 String ,                         -- 30 车辆种类名称
		 carUserNatureCode           String ,                         -- 31 车辆使用性质代码
		 carUserNature               String ,                         -- 32 车辆使用性质名称
    	 vehicleId                   String ,                         -- 新核心车险保单-车型
		 newVehicleFlag              String ,                         -- 新核心车险保单-新车标识
		 actualvalue                 String                           -- 新核心车险保单-实际价值
    ),                                                                  
    plcApplicant  array<row(
            customerName                 String                            -- 18 投保人名称
	)>,
    plcPublicInsurant  array<row(
            customerName                 String                            -- 19 被保人名称
	)>,
    newPolicyFlag               String ,                         -- 20 新保标识 1:是，0：否
	autoTransrenewFlag          String ,                         -- 21 自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag          String ,                         -- 22 转保标识1:是，0：否
	transrenewFlag              String ,                         -- 23 续保标识 1:是，4：跨险种续保，0：否
    plcSolution   array<row(
         PlcRation  row(
             artifSelfPricesRat           String,                          -- 24 自主定价系数
             artifReviewPrem              String                           -- 新核心车险保单-总保费
         ),
		 plcCoins    row(
		     plcCoinsBasicInformation  String
-- 		     array<row(                           -- 共保信息
-- 		         coinsRate                  String ,                       -- 非车险共保比例
--                  coinsIdentity              String ,                       -- 共保我方标记 = 1 时共保我方
--                  coinsCode                  String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
--                  coinsLinkCode              String                         -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
-- 		     )> ,
		     plcLinkBasicInformat  String
-- 		     array<row(                               -- 联保信息
-- 		         coinsRate                  String ,                       -- 非车险共保比例
--                  coinsIdentity              String ,                       -- 共保我方标记 = 1 时共保我方
--                  coinsCode                  String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
--                  coinsLinkCode              String                         -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
-- 		     )>
		 ),
		 plcCommissionDetail  array<row(
		      agentFee                    String ,                        -- 36 份额含税手续费
		 	  agentNetFee                 String                          -- 37 份额不含税手续费

		 )> ,
    )>,
	saleaman                    String ,                       -- 25 代理机构代码
	saleamanName                String ,                       -- 26 代理机构名称
	businessChannelCode         String ,                       -- 27 业务渠道
	businessChannelName         String ,                       -- 28 业务渠道名
	recordClerkCode             String ,					   -- 34 归属业务员ID
    recordClerkName             String ,                       -- 35 归属业务员名称
    staCurAmount                String ,                       -- 38 保险金额
	staCurTaxFee                String ,                       -- 39 税
    policyCreatDate             String ,                       -- 保单创建时间
    sigAndStaExchangeRate       String ,                       -- 费率
	policySort                  String ,                       -- 新核心车险保单-保单种类
	businessType                String ,                       -- 新核心车险保单-业务类型

    log_time                                          -- 加工平台处理数据时间 非json本身字段

    channelType                 String ,                       -- 指标新增_渠道类型
    signDate                    String ,                       -- 指标新增_保单统计日期
    mainSalesmanCode            String ,                       -- 指标新增_归属业务员ID
    mainSalesmanName            String ,                       -- 指标新增_归属业务员名称
    coinsCode                   String ,                       -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
    coinsLinkCode               String ,                       -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
    amount                      String ,                       -- 指标新增_保额
    actualId                    String                         -- 指标新增_唯一标识需验证

    LEVEL1COMCODE   String   -- 数据分发规则记录数据对应分公司机构
    coinsRate       String   -- 联共保系数
    plcSales array<row(
        handlerCode String ,        -- 寿险销售人员代码
        handlerName String ,        -- 寿险销售人员名称
        salesmanCode  String ,      -- 归属业务员代码
        salesmanCodeName String     -- 归属业务员名称
    )> ,
    plcBasic row(
        insurantName                , -- 非车下发_被保人名称
        insurantIdentifyType        , -- 非车下发_被保人统一社会信用代码
        insurantIdentifyNumber        -- 非车下发_证件类型
    )
)