-- CK_ODS_DATACHECK_USER_RELATION CK_ODS_校验规则与人员关系表

insert into CK_ODS.CK_ODS_MYSQL.DATACHECK_USER_RELATION
select
	 s1.CHECK_RULE_NO     --  '校验规则编号',
	, s1.DATA_CHECK_TYPE   --  '校验规则类型',
	, s1.CHECK_ATTR_NAME   --  '校验的属性名称',
	, s1.CHECK_ATTR_ID     --  '字段值',
	, s1.CHECK_MESSAGE     --  '校验提示信息',
	, s2.USER_NAME         --  '联系人姓名',
	, s2.USER_IDNO         --  '联系人身份证号',
from CK_ODS.CK_ODS_MYSQL_DATAPROCESS.TB_DP_RULE_DATACHECK s1
left join CK_ODS.CK_ODS_MYSQL.TB_DP_RULE_DATACHECK_USER s2
on s1.CHECK_RULE_NO = s2.CHECK_RULE_NO
where
    s1.STATUS = '1'
    and s2.STATUS = '1'
    and s2.CHECK_RULE_NO is not null

;