-- ZB_DM_FYWLYBF_HB ZB_DM_分业务来源起保保费合并



-- ZB_DM_FYWLYBFNDQQB ZB_DM_分业务来源年底前起保保费
-- key:allywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年

-- 总公司  allywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('allywlybf/',s1.`uwConclueDate`)    as `key`
     ,s1.`businessNatureCode`                  as `hkey`
     ,cast (sumZBUDF(
        CONCAT('allywlybf/',s1.`uwConclueDate`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )   as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 分公司  provywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                        as `hkey`
     ,cast (sumZBUDF(
        CONCAT('provywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )   as decimal (18,2))                                   as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 中支  cityywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                        as `hkey`
     ,cast (sumZBUDF(
        CONCAT('cityywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    ) as decimal (18,2))                                     as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 县支  countryywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                           as `hkey`
     ,cast (sumZBUDF(
        CONCAT('countryywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    ) as decimal (18,2))                                        as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 团队   teamywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                        as `hkey`
     ,cast (sumZBUDF(
        CONCAT('teamywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    ) as decimal (18,2))                                     as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;



-- ZB_DM_FYWLYBFJMQQB ZB_DM_分业务来源季末前起保保费
-- key:allquarterywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当季度

-- 总公司  allquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('allquarterywlybf/',s1.`uwConclueDate`) as `key`
     ,s1.`businessNatureCode`                      as `hkey`
     ,cast (sumZBUDF(
        CONCAT('allquarterywlybf/',s1.`uwConclueDate`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
END
;

-- 分公司  provquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                               as `hkey`
     ,cast (sumZBUDF(
        CONCAT('provquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
END
;


-- 中支  cityquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                               as `hkey`
     ,cast (sumZBUDF(
        CONCAT('cityquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
END
;


-- 县支  countryquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                                  as `hkey`
     ,cast (sumZBUDF(
        CONCAT('countryquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
END
;


-- 团队  teamquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                               as `hkey`
     ,cast (sumZBUDF(
        CONCAT('teamquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
    WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
END

;



-- ZB_DM_FYWLYBFYDQQB ZB_DM_分业务来源月底前起保保费
-- key:allmonthywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当月

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('allmonthywlybf/',s1.`uwConclueDate`) as `key`
     ,s1.`businessNatureCode`                    as `hkey`
     ,cast (sumZBUDF(
        CONCAT('allmonthywlybf/',s1.`uwConclueDate`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;

-- 分公司  provmonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provmonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                             as `hkey`
     ,cast (sumZBUDF(
        CONCAT('provmonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                         as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 中支   citymonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citymonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                             as `hkey`
     ,cast (sumZBUDF(
        CONCAT('citymonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                         as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 县支   countrymonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countrymonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                                as `hkey`
     ,cast (sumZBUDF(
        CONCAT('countrymonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 团队  teammonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teammonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                             as `hkey`
     ,cast (sumZBUDF(
        CONCAT('teammonthywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                         as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;



-- ZB_DM_FYWLYBFDRQDDRQB ZB_DM_分业务来源当日签单当日起保保费
-- key:alldayywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间等于当日

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('alldayywlybf/',s1.`uwConclueDate`)  as `key`
     ,s1.`businessNatureCode`                   as `hkey`
     ,cast (sumZBUDF(
        CONCAT('alldayywlybf/',s1.`uwConclueDate`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 分公司  provdayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provdayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                           as `hkey`
     ,cast (sumZBUDF(
        CONCAT('provdayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                       as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 中支  citydayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                           as `hkey`
     ,cast (sumZBUDF(
        CONCAT('citydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                       as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 县支  countrydayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countrydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                              as `hkey`
     ,cast (sumZBUDF(
        CONCAT('countrydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    ) as decimal (18,2))                                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 团队  teamdayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamdayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)  as `key`
     ,s1.`businessNatureCode`                                           as `hkey`
     ,cast (sumZBUDF(
        CONCAT('teamdayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)
    ,s1.`cost`
    ,s1.`uwConclueDate`
    )  as decimal (18,2))                                       as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;